%define module ivtv
%define version 0.3.7k

Summary: An iTVC15/16 and CX23415/16 driver
Name: %{module}-unstable
Version: %{version}
Release:  %mkrel 1
License: GPL
Group: System/Kernel and hardware
Provides: %{module}
Requires: bash
Requires: perl-Video-ivtv, perl-Video-Frequencies
Source0: http://www.ivtv.tv/releases/ivtv-0.3/%{module}-%{version}.tgz
Patch1: ivtv-0.2.0-rc3j-software_suspend.patch.bz2
URL: http://ivtv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/
BuildRequires:	kernel-source

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package -n dkms-%{name}
Summary:	Kernel drivers for the iTVC15/16 and CX23415/16 driver
Group:		System/Kernel and hardware
Provides:	dkms-%{module}
Requires:	dkms >= 1.00

%description -n dkms-%{name}
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

This package provides dkms kernel drivers for this hardware

%prep
%setup -n %{module}-%{version} -q
#patch1 -p1

%build
pwd
cd utils
%make

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/ivtv

cp -rf	driver/*		$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cp -f	utils/videodev2.h	$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="cx25840"
BUILT_MODULE_NAME[1]="ivtv"
BUILT_MODULE_NAME[2]="ivtv-fb"
BUILT_MODULE_NAME[3]="msp3400"
BUILT_MODULE_NAME[4]="saa7115"
BUILT_MODULE_NAME[5]="saa7127"
BUILT_MODULE_NAME[6]="tda9887"
BUILT_MODULE_NAME[7]="tuner"
BUILT_MODULE_NAME[8]="tveeprom"
BUILT_MODULE_NAME[9]="wm8775"

DEST_MODULE_LOCATION[0]="/kernel/3rdparty/ivtv"
DEST_MODULE_LOCATION[1]="/kernel/3rdparty/ivtv"
DEST_MODULE_LOCATION[2]="/kernel/3rdparty/ivtv"
DEST_MODULE_LOCATION[3]="/kernel/drivers/media/video"
DEST_MODULE_LOCATION[4]="/kernel/3rdparty/ivtv"
DEST_MODULE_LOCATION[5]="/kernel/3rdparty/ivtv"
DEST_MODULE_LOCATION[6]="/kernel/drivers/media/video"
DEST_MODULE_LOCATION[7]="/kernel/drivers/media/video"
DEST_MODULE_LOCATION[8]="/kernel/drivers/media/video"
DEST_MODULE_LOCATION[9]="/kernel/3rdparty/ivtv"

AUTOINSTALL=yes
EOF

mkdir -p %{buildroot}%{_bindir}
cd utils
%makeinstall DESTDIR=%{buildroot} INSTALLDIR=%{_bindir}

# Remove unpackaged files
rm -rf %{buildroot}%{_includedir}/linux/ivtv.h

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root,-)
%doc doc/*
%doc utils/README*
%doc utils/*.conf
%doc utils/lircrc
%{_libdir}/ivtv
%{_bindir}/*

%files -n dkms-%{name}
%defattr(-,root,root,-)
/usr/src/%{module}-%{version}-%{release}

%post -n dkms-%{name}
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n dkms-%{name}
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all

%changelog
* Sun Sep 04 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.7k-1mdk
- 0.3.7k

* Sun Aug 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.7g-1mdk
- 0.3.7g

* Sun Aug 14 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.7c-1mdk
- 0.3.7c
- drop patch2: merged upstream

* Mon Aug 08 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.7b-2mdk
- modify paths of modules to reflect original module paths
  (msp3400, tda9887, tveeprom)
- add patch2: ivtv-0.3.7b-volume_adjust

* Sun Aug 07 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.7b-1mdk
- 0.3.7b
- remove patch2, merged upstream

* Sat Jul 23 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.7a-1mdk
- 0.3.7a
- patch2: http://www.gossamer-threads.com/lists/ivtv/devel/22272
  to enable sound on PVR-500

* Thu Jun 30 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.6v-1mdk
- 0.3.6v
- drop patch0, merged upstream

* Thu Jun  9 2005 Stefan van der Eijk <stefan@eijk.nu> 0.3.6f-1mdk
- introduce unstable package
- 0.3.6f
- rediff patch0
- add software suspend patch

* Fri May 20 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_3mdk
- use %%makeinstall (add the missing files)

* Thu Apr 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_2mdk
- mkrel

* Wed Apr 20 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3j_1mdk
- New release 0.2.0-rc3j

* Fri Apr 15 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3i_1mdk
- New release 0.2.0-rc3i
- rediffed utils_Makefile patch

* Fri Mar 11 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3h_1mdk
- New release 0.2.0-rc3h

* Mon Feb 21 2005 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-rc3g_1mdk
- New release 0.2.0-rc3g

* Wed Feb 02 2005 Stefan van der Eijk <stefan@mandrakesoft.com> 0.2.0-rc3f_1mdk
- New release 0.2.0-rc3f

* Mon Jan 24 2005 Stefan van der Eijk <stefan@mandrakesoft.com> 0.2.0-rc3e_1mdk
- New release 0.2.0-rc3e
- drop patch1

* Tue Jan 11 2005 Stefan van der Eijk <stefan@mandrake.org> 0.2.0-rc3d_2mdk
- dkms naming

* Mon Jan 10 2005 Stefan van der Eijk <stefan@mandrake.org> 0.2.0-rc3d_1mdk
- 0.2.0-rc3d

* Sat Apr 11 2004 Gary Lerhaupt <gary_lerhaupt@dell.com>
- Initial DKMS-enabled ivtv RPM

* Wed Jan 14 2004 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to 0.1.9.
                                                                                
* Wed Dec 31 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to 0.1.7.
                                                                                
* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to official release 0.1.6.
                                                                                
* Mon Dec 15 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to Robert Kulagowski's patched version containing
  o Jens Axboe's 1125A patches
  o Chris Pinkham's M179 patch
  o Anduin's close_stream patch

* Wed Oct 22 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Removed firmware due to unknown licensing.
- Removed ivtv-fb.o due to unresolved depmod issues.
- Added patch for building on gcc < 3.
                                                                                
* Mon Oct  6 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to decoder_alpha 20031004.
- Remove i2c patch (applied upstream). Only -DNEW_I2C patch remains.
- Added missing include to videodev2.h
                                                                                
* Tue Sep 30 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to decoder_alpha 20030929.
                                                                                
* Wed Aug 20 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update rom image (reported by "Shad L. Lords").
                                                                                
* Tue Aug 19 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to cvs 20030813.

* Thu Jul 17 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to cvs 20030717.
                                                                                
* Thu Jul  7 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to cvs 20030707.
                                                                                
* Sun Jun 22 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to cvs 20030622.
                                                                                
* Mon Jun 16 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.
